cURL
curl --request POST \
--url https://api.example.com/public/v2/contacts \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"linkedin_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_id": 123,
"contact_custom_fields_input": [
{
"field_name": "<string>",
"field_value": "<string>"
}
],
"origin": "<string>",
"contact_status": "<string>"
}
'import requests
url = "https://api.example.com/public/v2/contacts"
payload = {
"email": "<string>",
"linkedin_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_id": 123,
"contact_custom_fields_input": [
{
"field_name": "<string>",
"field_value": "<string>"
}
],
"origin": "<string>",
"contact_status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
linkedin_url: '<string>',
first_name: '<string>',
last_name: '<string>',
company_id: 123,
contact_custom_fields_input: [{field_name: '<string>', field_value: '<string>'}],
origin: '<string>',
contact_status: '<string>'
})
};
fetch('https://api.example.com/public/v2/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"origin": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"linkedin_url": "<string>",
"company_id": 123,
"contact_custom_fields": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"field_name": "<string>",
"field_value": "<string>"
}
],
"contact_status": "<string>"
}Contacts
Create Contact
Creates a new contact. company_id accepts an integer ID or a domain string to auto-resolve the company. Returns the created contact on success.
POST
/
public
/
v2
/
contacts
cURL
Query Parameters
Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.
Available options:
FLAT, NESTED Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Show child attributes
Show child attributes
Was this page helpful?